{# TO be deleted once i have things figured out #}

<!DOCTYPE html>  
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}WA Search !{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <link rel="stylesheet" href="{{ asset('build/css/app.css') }}">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
    {% endblock %} 
</head>
<body class="bg-light">
   
    <main role="main" class="container">

    <div class="my-3 p-3 bg-secondary rounded box-shadow">        
        
        <div class="container-fluid">	
	    <form action="{{ path('anvil_retrieve') }}" method="post" enctype="multipart/form-data">
	    	<div class="form-group">	    		
		    	<div class="row" >
		    		<div class="container-fluid">
		        		<h1 class="page-header">WA Search</h1>			        
		    			<div class="input-group">
		    				{% if whatofind is defined %}
		    					<input type="text" name="question" value="{{whatofind}}" class="form-control">
		    				{% else %}
		    					<input type="text" name="question" placeholder="these aint the droids you are looking for" class="form-control">
		    				{% endif %}
	  						
								<span class="input-group-btn">
								<button class="btn btn-primary mb-2" type="submit" name="submit">Go!</button>
								</span>
						</div><!-- /input-group -->	
	    			</div>	    			
		    	</div>
			        <div class="col-sm-4">
			        	<div class="container-fluid">
				        	<table class="table mt">
				        		<thead>
							        <tr>
							          <th>Refine by</th>          
							        </tr>
						        </thead>
				        		<tbody>
							        <tr>
							          <td>Worlds</td>
							          <td><input type="checkbox" name="world_filter" aria-label="..."></td>	          
							        </tr>

							        <tr>
							          <td>Articles</td>
							          <td><input type="checkbox" name="article_filter" aria-label="..."></td>          
							        </tr>

							        <tr>
							          <td>Campaings</td>
							          <td><input type="checkbox" name="campaign_filter" aria-label="..."></td>        
							        </tr>
							        {# <tr>
							          <td>Characters</td>
							          <td><input type="checkbox" name="character_filter" aria-label="..."></td>
							        </tr> #}
							        <tr>
							          <td>Users</td>
							          <td><input type="checkbox" name="user_filter" aria-label="..."></td>	
							        </tr>
							        					        
			      				</tbody>
							</table>
							<label for="maxresults">Max results</label>
							{% if noOfResults is defined %}
		    					<input type="text" name="maxresults" placeholder="" class="form-control">
		    				{% else %}
		    					<input type="text" name="maxresults" class="form-control" placeholder="">
		    				{% endif %}
							
							{# <label>to match
								<select class="form-control">
									<option>everything</option>
								  	<option>name</option>
								  	<option>description</option>							  
								  	<option>excerpt</option>
								  	<option></option>
								</select>
							</label> #}							
						</div>{# container #}	    	              	
		        	</div>{# Column #}

		        <div class="col-sm-6 ">
		        	{% block body %}
        
       				{% endblock %}    
		        </div>{# column #}

		        <div class="col-sm-2"></div>
		         
			    </div>{# Row #}
			</div>{# form-Group #}
	   	</form>{# form #}
	</div>{# container #}
        
    </div>
    
    </main>
{% block javascripts %}{% endblock %}
</body>
</html>


